#ifndef CATS_BUTTERFLIES_DISPERSAL_H
#define CATS_BUTTERFLIES_DISPERSAL_H

#include "threading/threading.h"
#include "cats/configuration/configuration.h"

void
butterflies_cell_dispersal(struct cats_grid *grid, struct cats_thread_info *ts,
                           cats_dt_coord row, cats_dt_coord col,
                           bool check_exclusion,
                           bool local_only);

void bf_initial_population_to_eggs(struct cats_grid *grid, struct cats_thread_info *ts);
#endif //CATS_BUTTERFLIES_DISPERSAL_H
